aboutsummaryrefslogtreecommitdiff
path: root/tcl_tests
diff options
context:
space:
mode:
authorVitaly Chikunov <vt@altlinux.org>2019-11-11 03:28:36 +0300
committerDmitry Belyavskiy <beldmit@users.noreply.github.com>2020-01-12 00:20:37 +0300
commit10576d5b3387fdb1f014e60a9c2bda97dbe6a593 (patch)
tree25a02a86846347276279731dcbcd08b7d03340c5 /tcl_tests
parentcbf239c24b502cde53f027bff442f33b5e9f3a63 (diff)
downloadgost-engine-10576d5b3387fdb1f014e60a9c2bda97dbe6a593.zip
gost-engine-10576d5b3387fdb1f014e60a9c2bda97dbe6a593.tar.gz
gost-engine-10576d5b3387fdb1f014e60a9c2bda97dbe6a593.tar.bz2
tcl_tests: Allow running tests separately
For debug purposes. Example: sh ./runtest.sh dgst pkcs8
Diffstat (limited to 'tcl_tests')
-rw-r--r--tcl_tests/runtest.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/tcl_tests/runtest.sh b/tcl_tests/runtest.sh
index c3fc812..0589f78 100644
--- a/tcl_tests/runtest.sh
+++ b/tcl_tests/runtest.sh
@@ -105,6 +105,12 @@ OPENSSL_DEBUG_MEMORY=on
export OPENSSL_DEBUG_MEMORY
fail=0
+if [ "$*" ]; then
+ for t do
+ $TCLSH $t.try || fail=1
+ done
+ exit $fail
+fi
for t in $BASE_TESTS; do
$TCLSH $t.try || fail=1
done